Package org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec

## Class EdDSANamedCurveTable

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSANamedCurveTable

    public class EdDSANamedCurveTable
    extends Object

The named EdDSA curves.

Author:
  str4d

### Field Summary

Fields
`static String` `ED_25519`

### Constructor Summary

Constructors
`EdDSANamedCurveTable()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `defineCurve​(EdDSANamedCurveSpec curve)`
`static EdDSANamedCurveSpec` `getByName​(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ED_25519

    public static final String ED_25519

See Also:
  Constant Field Values

### Constructor Detail

#### EdDSANamedCurveTable

    public EdDSANamedCurveTable()

### Method Detail

#### defineCurve

    public static void defineCurve​(EdDSANamedCurveSpec curve)

#### getByName

    public static EdDSANamedCurveSpec getByName​(String name)